
QGIS Application - Bug report #20989

QGIS crashes every time I click close

2019-01-14 04:52 AM - Hugo de Vos

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28808

Description

User Feedback

This occurs every time i shut down QGIS

Report Details

Crash ID: 88e28c5df1ce4c3f1b549b6728a1d960ecb5f111

Stack Trace

QgsMapToolExtent::~QgsMapToolExtent :

PyInit__gui :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

QgsVectorLayerProperties::`default constructor closure' :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-01-14 09:52 AM - Giovanni Manghi

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#2 - 2019-01-14 09:52 AM - Giovanni Manghi

- Resolution changed from fixed/implemented to duplicate

- Status changed from Open to Closed
#20283

#3 - 2019-01-14 04:38 PM - Jürgen Fischer

- Duplicates deleted (Bug report #20283: Crash when exiting program [proj_lpz_dist])

#4 - 2019-01-14 04:40 PM - Jürgen Fischer

- Status changed from Closed to Open

- Resolution deleted (duplicate)

Giovanni Manghi wrote:

#20283

judging from the stackstrace this doesn't look similar.

#5 - 2019-01-15 03:59 AM - Nyall Dawson

- Status changed from Open to Feedback

This looks like a plugin bug -- can you try with a clean profile, and no plugins?

#6 - 2019-02-11 12:26 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
